Bug 8025 - Can't install RH 6.x
Can't install RH 6.x
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-12-28 09:29 EST by Riley H Williams
Modified: 2015-01-07 18:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-19 18:33:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Riley H Williams 1999-12-28 09:29:15 EST
Around here, it's fairly easy to pick up old 386 class machines with 8M of
RAM in them in the form of eight 1M SIMM's in the eight SIMM slots on the
motherboard, and these make excellent gateways and print servers. However,
the latest version of RedHat that can be installed on them is 5.2, as the
6.0 and 6.1 installers both run out of memory on these machines.

As far as I can tell, the following are the minimum memory requirements for
the recent versions of RedHat:

    5.x    7 Meg.

    6.0   10 Meg.
    6.1   11 Meg

Is there any chance of a boot disk being produced to allow an NFS install
of 6.1 on systems like these?

Having had a look at the installer, I would suspect that the following
measures would go some way towards doing this:

 1. The initrd.img file is currently based on a 2000k file, but its
    contents will fit into a 1500k one.

 2. The modules are currently held in a CPIO archive, and I would
    presume they are all extracted into a ramdisk somewhere. Memory
    usage would be decreased if only the network driver specified
    was extracted.

 3. Setting things up to enable a loop mount from the floppy would
    tend to dramatically decrease memory usage.

Unfortunately, I don't currently have time to try to implement the above,
with the exception of the first one which I have confirmed as working.

Note You need to log in before you can comment on or make changes to this bug.